botruntime
API ReferenceChat API

Create Conversation

Creates a new [Conversation](#schema_conversation). When creating a new [Conversation](#schema_conversation), the required tags must be provided. See the specific integration for more details.

POST
/v1/chat/conversations

Header Parameters

x-bot-id*string

Bot id

x-integration-id?string

Integration id

x-integration-alias?string

Integration alias

Request Body

application/json

Conversation data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/chat/conversations" \  -H "x-bot-id: string" \  -H "Content-Type: application/json" \  -d '{    "channel": "string",    "tags": {      "property1": "string",      "property2": "string"    }  }'
{  "conversation": {    "id": "stringstringstringstringstri",    "currentTaskId": "stringstringstringstringstri",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "channel": "string",    "integration": "string",    "tags": {      "property1": "string",      "property2": "string"    },    "messageCount": 0,    "properties": {      "property1": "string",      "property2": "string"    }  }}
{  "conversation": {    "id": "stringstringstringstringstri",    "currentTaskId": "stringstringstringstringstri",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "channel": "string",    "integration": "string",    "tags": {      "property1": "string",      "property2": "string"    },    "messageCount": 0,    "properties": {      "property1": "string",      "property2": "string"    }  }}